@echo off

rem This is a sample batch file for running the ESM 6.5 Agent install silently.
rem This batch file assumes that it is being run from the same directory as the agent installer.
rem Use this batch file as a template, and modify it according to your needs.

@echo Running the ESM Agent Registration.  Please Wait....

rem Example with non-encrypted password
setup.exe /s /v"/qn /l*v \"%TEMP%\SymantecESMIAgentRegInstall.log\" INSTALLDIR=\"C:\Program Files\Symantec\ESM\" SELECTION=1 REGAGENTLIST=[{dev-imr50-2,esm,esm4now,1,default,5600,1}] LURADIOGROUP=3 LUALLOWEDMGRS=dev-imr50-2"

rem Example with encrypted password
setup.exe /s /v"/qn /l*v \"%TEMP%\SymantecESMIAgentRegInstall.log\" INSTALLDIR=\"C:\Program Files\Symantec\ESM\" SELECTION=1 REGAGENTLIST=[{dev-imr50-2,esm,<%%FF%%7F%%u2018%%4f%%43%%AC>,1,default,5600,1}] LURADIOGROUP=3 LUALLOWEDMGRS=dev-imr50-2"

rem Parameters
rem /s 					run the install in silent mode
rem /v"<COMMAND LINE>"			COMMAND LINE is the parameters to pass on to the MSI installer (described in detail below)
rem /qn					run the install with no GUI
rem /l*v <LOG FILE>			use the most verbose logging and write the output to the specified log file (note the directory for the log file must already exist)
rem					other logging options are available, such as, /le <LOG FILE> to log errors only
rem					the complete list can be found on microsoft's web site
rem INSTALLDIR=<DIRECTORY>		directory to install the agent to
rem SELECTION=1 or 2			1 for agent registration and 2 for liveupdate registration
rem REGAGENTLIST=[{mgr spec 1},{mgr spec 2},...{mgr spec n}] 
rem					ignored if SELECTION = 2
rem					list of managers to register this agent to -- mgr spec has the following comma delimited list of information
rem						manager name
rem						login name
rem						login password (To use encrypted passwords do the following:
rem											- generate the encrpyted password from the plain text password using the EncrpytPassword Tool
rem											- enclose the encrypted passwords in angle brackets, i.e. <encrpyted_password>
rem											- make sure that the passord is URL encoded, this requires double '%' signs in batch files
rem						agent name type (1 - long, 2 - short, 3 - user defined)
rem						agent name (ignored unless agent name type is 3, generated according to type otherwise)
rem						port number manager listens on
rem						protocol (0 - ipx, 1 - tcp)						
rem LURADIOGROUP=3 			ignored if SELECTION = 1, type of liveupdate (1 - disable, 2 - enable from all managers, 3 - enable from selected managers)
rem LUALLOWEDMGRS=mgr1,mgr2,...,mgrn	ignored unless LURADIOGROUP is 3, comma delimited list of managers to allow liveupdate from 



