@echo off

rem ESM 6.5 AGENT silent install

rem This is a sample batch file for running the ESM 6.5 Agent install silently.
rem This batch file assumes that it is being run from the same directory as the agent installer.
rem Use this batch file as a template, and modify it according to your needs.


@echo Running the ESM Agent Install.  Please Wait....

setup.exe /s /v"/qn /l*v \"%TEMP%\SymantecESMAgentInstall.log\" INSTALLDIR=\"C:\Program Files\Symantec\ESM\" ENABLEIPX=1 REGISTERAGENTNOW=1 REGAGENTLIST=[{dev-imr50-2,esm,esm4now,1,default,5600,1}] LURADIOGROUP=3 LUALLOWEDMGRS=dev-imr50-2 ENABLE_ICE_SCRIPTS=0"

@echo ESM Agent Install Completed.   See results at %TEMP%\SymantecESMAgentInstall.log


rem Parameters
rem /s 					run the install in silent mode
rem /v"<COMMAND LINE>"			COMMAND LINE is the parameters to pass on to the MSI installer (described in detail below)
rem /qn					run the install with no GUI
rem /l*v <LOG FILE>			use the most verbose logging and write the output to the specified log file
rem					other logging options are available, such as, /le <LOG FILE> to log errors only
rem					the complete list can be found on microsoft's web site
rem INSTALLDIR=<DIRECTORY>		directory to install the agent to
rem ENABLEIPX=1 or 2			1 is disable ipx and 2 is enable ipx
rem REGISTERAGENTNOW=0 or 1 		0 is false (do not register now) 1 is true (register now)
rem REGAGENTLIST=[{mgr spec 1},{mgr spec 2},...{mgr spec n}] 
rem					list of managers to register this agent to -- mgr spec has the following comma delimited list of information
rem						manager name
rem						login name
rem						login password (To use encrypted passwords do the following:
rem											- generate the encrpyted password from the plain text password using the EncrpytPassword Tool
rem											- enclose the encrypted passwords in angle brackets, i.e. <encrpyted_password>
rem											- make sure that the passord is URL encoded, this requires double '%' signs in batch files
rem						agent name type (1 - long, 2 - short, 3 - user defined)
rem						agent name (ignored unless agent name type is 3, generated according to type otherwise)
rem						port number manager listens on
rem						protocol (0 - ipx, 1 - tcp)						
rem LURADIOGROUP=3 			type of liveupdate (1 - disable, 2 - enable from all managers, 3 - enable from selected managers)
rem LUALLOWEDMGRS=mgr1,mgr2,...,mgrn	ignored unless LURADIOGROUP is 3, comma delimited list of managers to allow liveupdate from 
rem ENABLE_ICE_SCRIPTS=0 		Enables Integrated Command Engine (ICE) for the agent that you are installing.ICE allows the ESM manager to execute custom scripts on the agent.
rem					0 Disabled(Default)
rem					1 Enabled


